Notice: The Monaca & Onsen UI Community Forum is shutting down.

For Onsen UI bug reports, feature requests and questions, please use the Onsen UI GitHub issues page. For help with Monaca, please contact Monaca Support Team.

Thank you to all our community for your contributions to the forum. We look forward to hearing from you in the new communication channels.

Probem building with Background Plugin



  • Hello all,

    I install this plugin “https://github.com/mauron85/cordova-plugin-background-geolocation”. but i had problem building the script.

    it gave me the following error.
    anyone came across this problem too?

    thanks in advance
    Shawn

    - postBuild -
    Remove working directories...
    Build Error: Error: Sandbox Exec Error: [ 注意:一部の入力ファイルは非推奨のAPIを使用またはオーバーライドしています。
    注意:詳細は、-Xlint:deprecationオプションを指定して再コンパイルしてください。
    注意:一部の入力ファイルは非推奨のAPIを使用またはオーバーライドしています。
    注意:詳細は、-Xlint:deprecationオプションを指定して再コンパイルしてください。
    /private/tmp/monaca/592f82b38034510b1b3e1929/project/platforms/android/res/xml/authenticator.xml:5:19-31 : AAPT: No resource found that matches the given name (at 'icon' with value '@mipmap/icon').
    
    /private/tmp/monaca/592f82b38034510b1b3e1929/project/platforms/android/res/xml/authenticator.xml:6:24-36 : AAPT: No resource found that matches the given name (at 'smallIcon' with value '@mipmap/icon').
    
    
    FAILURE: Build failed with an exception.
    
    * What went wrong:
    Execution failed for task ':processDebugResources'.
    > com.android.ide.common.process.ProcessException: org.gradle.process.internal.ExecException: Process 'command '/data/android-sdk/build-tools/23.0.3/aapt'' finished with non-zero exit value 1
    
    * Try:
    Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output.
    Error: Error code 1 for command: /private/tmp/monaca/592f82b38034510b1b3e1929/project/platforms/android/gradlew with args: cdvBuildDebug,-b,/private/tmp/monaca/592f82b38034510b1b3e1929/project/platforms/android/build.gradle,-Dorg.gradle.daemon=true,-Pandroid.useDeprecatedNdk=true
    


  • For people having this problem. change the mimap/icon to drawable/icon



  • i’ve had the same issue, please where i can find those value to change
    mimap/icon to drawable/icon ?

    Thank you